cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cédric Damioli (JIRA) <j...@apache.org>
Subject [jira] Commented: (COCOON-2289) [2.1] Backport FOPNGSerializer
Date Wed, 07 Apr 2010 09:48:33 GMT

    [ https://issues.apache.org/jira/browse/COCOON-2289?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12854407#action_12854407
] 

Cédric Damioli commented on COCOON-2289:
----------------------------------------

Yes, I just tried also, and it seems you can't put both jar together.

I propose to deprecate the current fop block for 2.1.12, moving the fop-0.20.5.jar from lib/optional
to lib/optional/deprecated
And to add the fop-ng block, adding the fop-0.95 to lib/optional

We should also put a note somewhere (wiki ? block.properties ?) to explain that.

WDYT ?


> [2.1] Backport FOPNGSerializer
> ------------------------------
>
>                 Key: COCOON-2289
>                 URL: https://issues.apache.org/jira/browse/COCOON-2289
>             Project: Cocoon
>          Issue Type: Improvement
>          Components: Blocks: FOP
>            Reporter: Cédric Damioli
>             Fix For: 2.1.12-dev (Current SVN)
>
>
> Cocoon 2.1 still don't have official support for  FOP 0.9x, while Cocoon 2.2 does
> This compatibility is only a matter of FOPSerializer (called FOPNGSerializer in the Cocoon
2.2 fop-ng block)
> I won't put a patch here because it would only be a copy of the FOPNGSerializer.java
from Cocoon-2.2, but it would be great if someone could backport the fop-ng block

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message